import EventEmitter from '../EventEmitter';
export declare enum LoaderEvent {
    LoadComplete = "load-complete",
    LoadProgress = "load-progress",
    LoadCancelled = "load-cancelled",
    LoadWarning = "load-warning"
}
export declare abstract class Loader extends EventEmitter {
    protected _resource: string;
    protected _resourceData: string | ArrayBuffer;
    abstract get resource(): string;
    abstract get finished(): boolean;
    protected constructor(resource: string, resourceData: string | ArrayBuffer);
    abstract load(): Promise<boolean>;
    abstract cancel(): any;
    abstract dispose(): any;
}
